Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search
Class ListDocumentsRequest

    java.lang.Object
      com.google.appengine.api.search.ListDocumentsRequest

    public final class ListDocumentsRequest

extends java.lang.Object

A request to list documents in an index. You can specify a number of restrictions, such as the number of documents to return, the doc_id of the first document to return, whether to only return keys, etc.

       ListDocumentsRequest request = ListDocumentsRequest().newBuilder()
           .setLimit(500)
           .setStartDocId("some-doc-id")
           .setKeysOnly(true)
           .build()

Nested Class Summary
`static class` | `ListDocumentsRequest.Builder` The builder of `ListDocumentsRequest`s.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Integer` | `getLimit()`
`java.lang.String` | `getStartDocId()`
`int` | `hashCode()`
`boolean` | `isIncludeStartDoc()`
`java.lang.Boolean` | `isKeysOnly()`
`static ListDocumentsRequest.Builder` | `newBuilder()`
`static ListDocumentsRequest.Builder` | `newBuilder(ListDocumentsRequest request)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### newBuilder

    public static final ListDocumentsRequest.Builder newBuilder()

### newBuilder

    public static final ListDocumentsRequest.Builder newBuilder(ListDocumentsRequest request)

### getStartDocId

    public java.lang.String getStartDocId()

  Returns:
    the Id of the first document to return

### isIncludeStartDoc

    public boolean isIncludeStartDoc()

  Returns:
    whether or not the document with the start Doc Id is returned

### getLimit

    public java.lang.Integer getLimit()

  Returns:
    the maximum number of documents returned by this request

### isKeysOnly

    public java.lang.Boolean isKeysOnly()

  Returns:
    whether or not index schema is returned with each index

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD